Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Class RAH10Format

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.RAH10Format

All Implemented Interfaces:
  `KeyFormat`, `Comparable<KeyFormat>`

public class RAH10Format extends HBCI4JavaFormat
Implementierung des Schluesselformats im RAH10-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`FEATURE_CREATE, FEATURE_IMPORT`

## Constructor Summary

Constructors
Constructor
Description
`RAH10Format()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen des Formats.
`int`
`getOrder()`
Liefert einen numerischen Wert fuer die Sortierung.

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat

`createKey, hasFeature, importKey, load`

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat

`compareTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RAH10Format

public RAH10Format()

## Method Details

### getName

public String getName()
Description copied from interface: `KeyFormat`
Liefert einen sprechenden Namen des Formats.

Specified by:
  `getName` in interface `KeyFormat`
Overrides:
  `getName` in class `HBCI4JavaFormat`
Returns:
  Sprechender Name.
See Also:
  - `HBCI4JavaFormat.getName()`

### getOrder

public int getOrder()
Description copied from interface: `KeyFormat`
Liefert einen numerischen Wert fuer die Sortierung.

Specified by:
  `getOrder` in interface `KeyFormat`
Overrides:
  `getOrder` in class `AbstractKeyFormat`
Returns:
  numerischer Wert fuer die Sortierung. Je hoeher der Wert ist, desto weiter hinten ist er einsortiert.
See Also:
  - `AbstractKeyFormat.getOrder()`